## ide-global ide-global |

## Functions

#define | ide_is_flatpak
const gchar * | ide_gettext ()
GThread * | ide_get_main_thread ()
IdeProcessKind | ide_get_process_kind ()
const gchar * | ide_get_application_id ()
void | ide_set_application_id ()
const gchar * | ide_get_program_name ()
gchar * | ide_get_system_arch ()
const gchar * | ide_get_system_type ()
gchar * | ide_create_host_triplet ()
gsize | ide_get_system_page_size ()
gchar * | ide_get_relocatable_path ()

## Types and Values

enum | IdeProcessKind

## Description

## Functions

### ide_is_flatpak

    #define ide_is_flatpak() (ide_get_process_kind() == IDE_PROCESS_KIND_FLATPAK)

### ide_gettext ()

    const gchar *
    ide_gettext (const gchar *message);

### ide_get_main_thread ()

    GThread *
    ide_get_main_thread (void);

Gets GThread of the main thread.

Generally this is used by macros to determine what thread they code is currently running within.

#### Returns

a GThread.

[transfer none]

Since: 3.32

### ide_get_process_kind ()

    IdeProcessKind
    ide_get_process_kind (void);

Gets the kind of process we're running as.

#### Returns

an IdeProcessKind

Since: 3.32

### ide_get_application_id ()

    const gchar *
    ide_get_application_id (void);

### ide_set_application_id ()

    void
    ide_set_application_id (const gchar *app_id);

Sets the application id that will be used.

This must be set at application startup before any GApplication has connected to the D-Bus.

The default is "org.gnome.Builder".

#### Parameters

app_id | the application id |

Since: 3.32

### ide_get_program_name ()

    const gchar *
    ide_get_program_name (void);

### ide_get_system_arch ()

    gchar *
    ide_get_system_arch (void);

### ide_get_system_type ()

    const gchar *
    ide_get_system_type (void);

### ide_create_host_triplet ()

    gchar *
    ide_create_host_triplet (const gchar *arch,
                             const gchar *kernel,
                             const gchar *system);

### ide_get_system_page_size ()

    gsize
    ide_get_system_page_size (void);

### ide_get_relocatable_path ()

    gchar *
    ide_get_relocatable_path (const gchar *path);

Gets the path to a resource that may be relocatable at runtime.

#### Parameters

path | a relocatable path |

#### Returns

a new string containing the path.

[transfer full]

Since: 3.32

## Types and Values

### enum IdeProcessKind

#### Members

IDE_PROCESS_KIND_HOST |  |
IDE_PROCESS_KIND_FLATPAK |  |